snap-core-0.9.4.0: Snap: A Haskell Web Framework (core interfaces and types)

Safe Haskell | None

Snap.Util.Readable

Synopsis

- class Readable a where
  - fromBS :: Monad m => ByteString -> m a

# Documentation

class Readable a where

Monadic analog to Read that uses ByteString instead of String.

Methods

fromBS :: Monad m => ByteString -> m a

Instances

Readable Double |
Readable Int |
Readable Integer |
Readable ByteString |
Readable Text |